List calendars
Your calendars with name, color and whether they are writable.
GET https://cotlet.dev/api/v1/nextcloud/calendars
read
Lists the calendars of your account, including calendars others shared with you. Use the calendar value in list_events and create_calendar_event. Shared calendars can be read-only, and the writable flag says which.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/nextcloud/calendars \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("nextcloud", "list_calendars") const result = await cotlet.call('nextcloud', 'list_calendars'); cotlet call nextcloud list_calendars Example response
{
"calendars": [
{
"calendar": "work",
"name": "Work",
"color": "#0082C9",
"writable": true
},
{
"calendar": "holidays",
"name": "Team holidays",
"color": "#2E7D32",
"writable": false
}
]
}